Subject: find.exe truncating search on <foo>/<foo>
From: [email-masked] (Jon Witort)

20 Jun 1997 20:04:56 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Original-To: [email-masked]
Original-Sender: [email-masked]

Let's try that again, only without a line containing only a single "."

I'm having some trouble with find.exe v4.1 that doesn't seem to have been
mentioned in either the FAQ or the archive for this group. The problem is
that find.exe is truncating its search whenever it finds a directory with
the same name as its parent, like so:
 
1> mkdir test\foo\foo
2> cd test
3> touch foo\foo\xyz
4> find
../foo
../foo/foo
 
Notice that xyz was not found. Changing either of the foo's fixes the problem:
 
5> rename foo bar
6> find
../bar
../bar/foo
../bar/foo/xyz
7> find -version
GNU find version 4.1
 
I've tried every variation I can think of, with the same results. If anyone
knows of a workaround, I'd appreciate it.
 
thanks,
jon
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".